# $Revision: 1.33 $, $Date: 2009/04/14 07:39:55 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for using OBEX
Summary(es.UTF-8):	Biblioteca para usar OBEX
Summary(pl.UTF-8):	Biblioteka do obsługi protokołu OBEX
Name:		openobex
Version:	1.5
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
# Source0-md5:	0d83dc86445a46a1b9750107ba7ab65c
Patch0:		%{name}-pc.patch
URL:		http://openobex.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library tries to implement a generic OBEX Session Protocol. It
does not implement the OBEX Application FrameWork.

%description -l es.UTF-8
Esta biblioteca procura dar una implementación genérica del protocolo
OBEX Session Protocol. La implementación de OBEX Application FrameWork
no está incluida.

%description -l pl.UTF-8
Ta biblioteka to próba implementacji podstawowego protokołu sesji OBEX
Session Protocol. OBEX Application FrameWork nie jest
zaimplementowany.

%package devel
Summary:	Header files for Open OBEX
Summary(es.UTF-8):	Ficheros de cabecera para Open OBEX
Summary(pl.UTF-8):	Pliki nagłówkowe Open OBEX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bluez-libs-devel
Requires:	libusb-compat-devel

%description devel
The header files are only needed for development of programs using the
Open OBEX library.

%description devel -l es.UTF-8
Estos ficheros de cabecera sólo son necesarios para desarrollar
programas que usan la biblioteca Open OBEX.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających biblioteki Open OBEX.

%package static
Summary:	Static Open OBEX library
Summary(es.UTF-8):	Biblioteca estática de Open OBEX
Summary(pl.UTF-8):	Biblioteka statyczna Open OBEX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Open OBEX library.

%description static -l pl.UTF-8
Biblioteka statyczna Open OBEX.

%package apps
Summary:	Open OBEX utility programs
Summary(pl.UTF-8):	Narzędzia Open OBEX
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	openobex-progs

%description apps
This package contains utility programs made to show Open OBEX library
usage.

%description apps -l es.UTF-8
Este paquete contiene unas herramientas hechas para demonstrar el uso
de la biblioteca Open OBEX.

%description apps -l pl.UTF-8
Ten pakiet zawiera narzędzia zrobione aby pokazać sposób użycia
biblioteki Open OBEX.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-apps \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libopenobex.so.*.*
%ghost %attr(755,root,root) %{_libdir}/libopenobex.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenobex.so
%{_libdir}/libopenobex.la
%{_includedir}/*
%{_pkgconfigdir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files apps
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ircp
%attr(755,root,root) %{_bindir}/irobex_palm3
%attr(755,root,root) %{_bindir}/irxfer
%attr(755,root,root) %{_bindir}/obex_tcp
%attr(755,root,root) %{_bindir}/obex_test

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openobex.spec,v $
Revision 1.33  2009/04/14 07:39:55  arekm
- up to 1.5

Revision 1.32  2009/02/04 12:46:35  hawk
- BR, R libusb-compat to make it work with libusb 1.0.0

Revision 1.31  2008/09/25 22:05:43  arvenil
- added ghost
- release 6

Revision 1.30  2008/08/31 18:47:40  arekm
- release 5

Revision 1.29  2008/07/27 23:04:59  arekm
- release 4

Revision 1.28  2008-05-10 03:39:13  charles
- missing BR/Rs

Revision 1.27  2007-02-13 07:16:51  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.25  2006/11/29 22:54:54  megabajt
- release 3 (rebuild with P: *.la)

Revision 1.24  2006/09/10 10:13:35  arekm
- fix includedir in pkgconfig file

Revision 1.23  2006/09/10 09:53:59  qboosh
- BR: ac >= 2.50

Revision 1.22  2006/08/27 11:33:39  arekm
- fix linking

Revision 1.21  2006/07/19 10:07:25  qboosh
- merged -apps

Revision 1.20  2006/07/19 10:02:30  qboosh
- strict internal deps

Revision 1.19  2006/07/18 16:50:56  kolodko
- up to 1.3

Revision 1.18  2006/06/24 16:36:28  freetz
- 1.2, MTU patch obsoleted, file list update

Revision 1.17  2005/10/17 15:20:44  adasi
- relup

Revision 1.16  2005/10/17 15:19:49  adasi
- add OBEX_SetTransportMTU export

Revision 1.15  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.14  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.13  2005/06/15 15:50:12  witekfl
- added bcond_without static
- run automake

Revision 1.12  2003/11/21 01:48:40  saq
- version 1.0.1
- es translations

Revision 1.11  2003/08/05 09:51:10  wrobell
- regenerate ac/am stuff
- rel. 2

Revision 1.10  2003/05/28 13:00:06  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:51:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.7  2003/03/06 12:38:47  misi3k
- updated to 1.0.0
- split: openobex openobex-apps

Revision 1.6  2002/12/12 21:36:03  grabba
STBR

Revision 1.5  2002/11/25 14:17:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/08/19 10:52:39  grabba
- %%doc

Revision 1.3  2002/07/23 13:36:45  qboosh
- added Source URLs, fixes in summaries/descriptions

Revision 1.2  2002/07/21 20:22:29  kloczek
- adapterized and few cosmetics.

Revision 1.1  2002/07/21 12:47:43  grabba
- initial version
- working, but spec is not finished yet
